package packageForL9L10;

import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JFrame;

public class EventGeneratorExample {

	/**
	 * A very simple application that demonstrates the MVC architecture. This
	 * app affords no interaction to speak of. Rather, any time an event occurs
	 * (mouse event, property change event, or component event), information
	 * about the event is printed to the console.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		// Create the model.
		SimpleThreeDotModel_v2 model = new SimpleThreeDotModel_v2();
		// Create the view.
		DotPanel view = new DotPanel(model);
		new EventTracker(view, model);

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		frame.add(view);
		frame.setBackground(Color.WHITE);
		frame.pack();
		frame.setVisible(true);

	}
}
